export default class InteractiveMarkerManager {
    static enableControls(object: any, interactionMode: any, orientationMode: any, orientation: any, controlName: any, controlsManager: any, givenColor: any): void;
    static getAlignmentColor(rotation: any): "red" | "green" | "blue" | null;
    constructor(rootObject: any, viewer: any, options: any);
    markerManagerMap: {};
    contolsManagerMap: {};
    objectMap: {};
    object: any;
    viewer: any;
    hideOtherHandlesOnSelect: any;
    hideOtherControlsInstancesOnSelect: any;
    visible: any;
    namespaces: {};
    onChange(): void;
    getMarkerManagerOrCreate(interactiveMarkerName: any): {
        manager: any;
        object: any;
    };
    onNamespaceChange(callback: any): void;
    callback: any;
    initMarkers(interactiveMarker: any, freeformControls: any, visible: any): void;
    setVisible(visible: any): void;
    updatePose(poseObject: any): void;
    removeObject(id: any): void;
    reset(destroy: any): void;
}
